JGraph X 1.3.0.0

## com.mxgraph.layout
Class mxCompactTreeLayout.TreeNode

    java.lang.Object
      com.mxgraph.layout.mxCompactTreeLayout.TreeNode

Enclosing class:
  mxCompactTreeLayout

    protected static class mxCompactTreeLayout.TreeNode

extends java.lang.Object

Field Summary
`protected java.lang.Object` `cell`
`protected mxCompactTreeLayout.TreeNode` `child`
`protected mxCompactTreeLayout.Polygon` `contour`
`protected double` `height`
`protected mxCompactTreeLayout.TreeNode` `next`
`protected double` `offsetX`
`protected double` `offsetY`
`protected double` `width`
`protected double` `x`
`protected double` `y`

Constructor Summary
`mxCompactTreeLayout.TreeNode(java.lang.Object cell)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cell

    protected java.lang.Object cell

### x

    protected double x

### y

    protected double y

### width

    protected double width

### height

    protected double height

### offsetX

    protected double offsetX

### offsetY

    protected double offsetY

### child

    protected mxCompactTreeLayout.TreeNode child

### next

    protected mxCompactTreeLayout.TreeNode next

### contour

    protected mxCompactTreeLayout.Polygon contour

Constructor Detail

### mxCompactTreeLayout.TreeNode

    public mxCompactTreeLayout.TreeNode(java.lang.Object cell)

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.